#include "My_Soft_Spi16.h"
#include "PinNames.h"
#include "S6B_library.h"
#include <libpic30.h>

void Delay_ms(unsigned long ms) {
    __delay32(ms*4000);
    }    
  
void S6B_WR_Com16(unsigned int com) {
     RS = 0;                            //    /,   
     CS = 0;                            //  
     My_Soft_Spi16_Send(com);           //    SPI
     CS = 1;                            //   
}

void S6B_WR_Com(unsigned int com) {
     RS = 0;                            //    /,   
     CS = 0;                            //  
     My_Soft_Spi_Send(com);           //    SPI
     CS = 1;                            //   
}

void S6B_WR_Pixel(unsigned char pixel) {
     RS = 1;                            //    /,   
     CS = 0;                            //  
     My_Soft_Spi_Send(pixel);         //    SPI
     CS = 1;                            //   
}

void S6B_Init() {                        // 
    RESET = 0;
    Delay_ms(10);
    RESET = 1;
    S6B_WR_Com(0x2C);
    S6B_WR_Com16(0x0201);
    S6B_WR_Com16(0x260F);
    S6B_WR_Com16(0x1030);
    S6B_WR_Com16(0x2001);
    S6B_WR_Com16(0x2201);
    S6B_WR_Com16(0x2401);
    S6B_WR_Com16(0x2800);
    S6B_WR_Com16(0x3040);
    S6B_WR_Com16(0x3201);
    S6B_WR_Com16(0x3482);
    S6B_WR_Com16(0x4000);
    S6B_WR_Com16(0x2ABF);  //  - 
    S6B_WR_Com(0x51);
}


