#include <p24FJ64GA004.h>
#include "PinNames.h"
#include "S6B_library.h"

_CONFIG1 (JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & ICS_PGx1 & FWDTEN_OFF & WINDIS_OFF);
_CONFIG2 (IESO_OFF & SOSCSEL_SOSC & FNOSC_FRC & FCKSM_CSECME & OSCIOFNC_OFF & IOL1WAY_OFF & I2C1SEL_PRI & POSCMOD_NONE);

#pragma udata 
unsigned int x;
unsigned char pixel, bt_2_func = 0;

//===================================================
void main(void) {   
    CLKDIV = 0x0000; //  - 8 

    //OSCCON = 0x0001;   //   FRC with PLL

	  
    //Configure PORTA, PORTB (IN=13,9,8,7,6,2,3)
    AD1PCFG = 0x9E3F;
    LATB = 0xFFFF;
    LATC = 0xFFF7;
    TRISA = 0xFFFF;
    TRISB = 0xFE1F;
    TRISC = 0xFFD7;

    S6B_Init();              //  
   //S6B_WR_Com(0xFF);
                      

    while(1) {              //   
       S6B_WR_Pixel(pixel);
        pixel++;
    }      
}
